Generate Drafts
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
suite_id*Suite Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/simulation-suites/497f6eca-6276-4993-bfeb-53cbbbba6f08/cases/generate" \ -H "Content-Type: application/json" \ -d '{ "count": 1 }'{ "drafts": [ { "name": "string", "persona": "string", "goal": "string", "opening_message": "string", "success_criterion": "string", "max_turns": 20, "tool_mocks": { "property1": [ { "when": {}, "result": null, "is_error": false } ], "property2": [ { "when": {}, "result": null, "is_error": false } ] }, "checks": [ { "type": "tool_called", "tool": "string", "args": {} } ] } ], "discarded": 0}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}